@echo off
:: top_dir=%CD%
:: shared_dir=%CD%\..\shared
:: source_dir=%CD%\xml-source
:: processing_dir=%CD%\processing
:: output_dir=`pwd`/build
:: fop_dir="$shared_dir/fop"

set CLASSPATH=%CLASSPATH%;..\shared;..\shared\fop\fop.jar;..\shared\fop\lib

if not exist build mkdir build

set langs=en es ru fr
set manuals=Paper User Develop Install

if "%1" == "u" set manuals=User
if "%1" == "d" set manuals=Develop
if "%1" == "i" set manuals=Install
if "%1" == "p" set manuals=Paper

if not "%2" == "all" set langs=%2

for %%l in (%langs%) do if not exist build\%%l mkdir build\%%l
for %%l in (%langs%) do if not exist build\%%l\pdf mkdir build\%%l\pdf
for %%l in (%langs%) do for %%m in (%manuals%) do java -classpath ..\shared\fop\lib\xml-apis.jar;..\shared\fop\lib\xercesImpl-2.2.1.jar;..\shared\fop\lib\xalan-2.4.1.jar;..\shared\fop\lib\jai_core.jar;..\shared\fop\lib\jai_codec.jar;..\shared\fop\lib\batik.jar;..\shared\fop\lib\avalon-framework.jar;..\shared\fop\lib\ant-1.5.1.jar;..\shared\fop\build\fop.jar;..\shared;..\shared\fop\build\fop.jar;..\shared\fop\lib org.apache.fop.apps.Fop -c ..\shared\fop\conf\userconfig.xml -q -xsl processing\xml-to-pdf.xsl -xml xml-source\%%l\%%m_%%l.xml -pdf build\%%l\pdf\%%m_%%l.pdf
